Skip to main content
GET
Get the overtime balance of an employee

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

employeeId
string<uuid>
required

The employee ID. It must belong to the company of the token.

Query Parameters

from
string<date>
required

First day of the period (Y-m-d). Must not be after to.

Example:

"2026-01-01"

to
string<date>
required

Last day of the period (Y-m-d), inclusive. It can be equal to from.

Example:

"2026-01-31"

Response

Overtime balance of the employee for the period. The status is 200; meta is the default meta of an associative array (total/perPage count its three keys).

data
object
required

Current overtime balance of the employee for the requested period, in seconds, including the adjustments already applied (EmployeeBalanceForApiView::toResponsePayload). Every value is clamped at 0.

meta
object
required